/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-03 14:57
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MAXN = 1e5 + 5;
const ll INF = 1LL << 60;

ll N, M, K;

struct value {
    ll v;
    int r, c;
};

/* struct interval { */
/*     int start, range; */
/*     /1* set<value> vs; *1/ */
/* }; */
typedef pii interval;

vector<value> elements;
set<interval> ints;



/* vector<vector<ll>> grid(10, vector<ll>(MAXN)); */
/* multiset<ll> vals; */


void solve(){
    // Code goes here ...
    cin >> N >> M >> K;

    ll v;
    R(i, N){
        R(j, M){
            cin >> v;
            elements.push_back({v, i, j});
        }
    }

    R::sort(elements, R::greater(), &value::v);

    R(i, M - K + 1){
        ints.insert({i, K});
    }

    ll res = 0;
    int id = 0;
    while (id < ssize(elements)) {
        // check choosable
        value v = elements[id];
        auto it = ints.upper_bound({v.c, INF});
        if(it == begin(ints)){
            id++;
            continue;
        }
        it--;

        cerr << it - begin(ints) << endl;
        id++;
        /* auto it = R::upper_bound(ints, v.c, {}, &interval::start) - 1; */
    }

    /* for(auto [v, r, c] : elements){ */
    /*     cerr << v << endl; */
    /* } */


    cout << res << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    solve();

    return 0;
}
        
